Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_ORT::ObjectReferenceTemplate_out Class Reference

`#include <Default_ORTC.h>`

Collaboration diagram for TAO_Default_ORT::ObjectReferenceTemplate_out:

[legend]
List of all members.

## Public Methods
| ObjectReferenceTemplate_out (ObjectReferenceTemplate *&)
| ObjectReferenceTemplate_out (ObjectReferenceTemplate_var &)
| ObjectReferenceTemplate_out (const ObjectReferenceTemplate_out &)
ObjectReferenceTemplate_out & | operator= (const ObjectReferenceTemplate_out &)
ObjectReferenceTemplate_out & | operator= (const ObjectReferenceTemplate_var &)
ObjectReferenceTemplate_out & | operator= (ObjectReferenceTemplate *)
| operator ObjectReferenceTemplate *& ()
ObjectReferenceTemplate *& | ptr (void)
ObjectReferenceTemplate * | operator-> (void)
## Private Attributes
ObjectReferenceTemplate *& | ptr_

## Constructor & Destructor Documentation

TAO_Default_ORT::ObjectReferenceTemplate_out::ObjectReferenceTemplate_out | ( | ObjectReferenceTemplate *& | p | ) |

TAO_Default_ORT::ObjectReferenceTemplate_out::ObjectReferenceTemplate_out | ( | ObjectReferenceTemplate_var & | p | ) |

TAO_Default_ORT::ObjectReferenceTemplate_out::ObjectReferenceTemplate_out | ( | const ObjectReferenceTemplate_out & | p | ) |

## Member Function Documentation

TAO_Default_ORT::ObjectReferenceTemplate_out::operator ObjectReferenceTemplate *& | ( |  | ) |

TAO_Default_ORT::ObjectReferenceTemplate * TAO_Default_ORT::ObjectReferenceTemplate_out::operator-> | ( | void |  | ) |

TAO_Default_ORT::ObjectReferenceTemplate_out & TAO_Default_ORT::ObjectReferenceTemplate_out::operator= | ( | ObjectReferenceTemplate * | p | ) |

TAO_Default_ORT::ObjectReferenceTemplate_out & TAO_Default_ORT::ObjectReferenceTemplate_out::operator= | ( | const ObjectReferenceTemplate_var & | p | ) |

TAO_Default_ORT::ObjectReferenceTemplate_out & TAO_Default_ORT::ObjectReferenceTemplate_out::operator= | ( | const ObjectReferenceTemplate_out & | p | ) |

TAO_Default_ORT::ObjectReferenceTemplate *& TAO_Default_ORT::ObjectReferenceTemplate_out::ptr | ( | void |  | ) |

## Member Data Documentation

ObjectReferenceTemplate* & TAO_Default_ORT::ObjectReferenceTemplate_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- Default_ORTC.h
- Default_ORTC.cpp